"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("./internal/logger/index.cjs");
const client = require("./scw/client.cjs");
const constants = require("./scw/constants.cjs");
const clientIniFactory = require("./scw/client-ini-factory.cjs");
const customTypes = require("./scw/custom-types.cjs");
const index$1 = require("./scw/errors/standard/index.cjs");
const json = require("./helpers/json.cjs");
const intervalRetrier = require("./internal/async/interval-retrier.cjs");
const helpers = require("./internal/interceptors/helpers.cjs");
const api = require("./scw/api.cjs");
const auth = require("./scw/auth.cjs");
const customMarshalling = require("./scw/custom-marshalling.cjs");
const marshalling = require("./helpers/marshalling.cjs");
const resourcePaginator = require("./scw/fetch/resource-paginator.cjs");
exports.enableConsoleLogger = index.enableConsoleLogger;
exports.setLogger = index.setLogger;
exports.createAdvancedClient = client.createAdvancedClient;
exports.createClient = client.createClient;
exports.AUTH_HEADER_KEY = constants.AUTH_HEADER_KEY;
exports.SESSION_HEADER_KEY = constants.SESSION_HEADER_KEY;
exports.withAdditionalInterceptors = clientIniFactory.withAdditionalInterceptors;
exports.withDefaultPageSize = clientIniFactory.withDefaultPageSize;
exports.withHTTPClient = clientIniFactory.withHTTPClient;
exports.withProfile = clientIniFactory.withProfile;
exports.withUserAgent = clientIniFactory.withUserAgent;
exports.withUserAgentSuffix = clientIniFactory.withUserAgentSuffix;
exports.Decimal = customTypes.Decimal;
exports.Errors = index$1;
exports.isJSONObject = json.isJSONObject;
exports.createExponentialBackoffStrategy = intervalRetrier.createExponentialBackoffStrategy;
exports.tryAtIntervals = intervalRetrier.tryAtIntervals;
exports.waitForResource = intervalRetrier.waitForResource;
exports.addAsyncHeaderInterceptor = helpers.addAsyncHeaderInterceptor;
exports.API = api.API;
exports.authenticateWithSessionToken = auth.authenticateWithSessionToken;
exports.marshalBlobToScwFile = customMarshalling.marshalBlobToScwFile;
exports.marshalDecimal = customMarshalling.marshalDecimal;
exports.marshalMoney = customMarshalling.marshalMoney;
exports.marshalScwFile = customMarshalling.marshalScwFile;
exports.marshalTimeSeries = customMarshalling.marshalTimeSeries;
exports.unmarshalAnyRes = customMarshalling.unmarshalAnyRes;
exports.unmarshalDecimal = customMarshalling.unmarshalDecimal;
exports.unmarshalMoney = customMarshalling.unmarshalMoney;
exports.unmarshalScwFile = customMarshalling.unmarshalScwFile;
exports.unmarshalServiceInfo = customMarshalling.unmarshalServiceInfo;
exports.unmarshalTimeSeries = customMarshalling.unmarshalTimeSeries;
exports.unmarshalTimeSeriesPoint = customMarshalling.unmarshalTimeSeriesPoint;
exports.resolveOneOf = marshalling.resolveOneOf;
exports.unmarshalArrayOfObject = marshalling.unmarshalArrayOfObject;
exports.unmarshalDate = marshalling.unmarshalDate;
exports.unmarshalMapOfObject = marshalling.unmarshalMapOfObject;
exports.urlParams = marshalling.urlParams;
exports.validatePathParam = marshalling.validatePathParam;
exports.enrichForPagination = resourcePaginator.enrichForPagination;
