import type { LogLevel } from './level-resolver.js';
import type { Logger } from './logger';
/**
 * Sets a logger to be used within the SDK.
 *
 * @param logger - The Logger instance
 *
 * @public
 */
export declare const setLogger: (logger: Readonly<Logger>) => void;
/**
 * Sets the logger to console logger with given logLevel (log is disabled by default).
 *
 * @param logLevel - The Log level (default to 'warn')
 * @param prefix - A Log message prefix (default to 'scaleway-sdk-js:')
 *
 * @public
 */
export declare const enableConsoleLogger: (logLevel?: LogLevel, prefix?: string) => void;
/**
 * Returns the active SDK logger.
 *
 * @internal
 */
export declare const getLogger: () => Readonly<Logger>;
