import type { JSONObject } from '../../../helpers/json.js';
import { ScalewayError } from '../scw-error.js';
/**
 * Details of an {@link PermissionsDeniedError} error.
 *
 * @public
 */
export interface PermissionsDeniedErrorDetails {
    readonly resource: string;
    readonly action: string;
}
/**
 * PermissionsDenied error happens when one or many permissions are not accorded to the user making the request.
 *
 * @public
 */
export declare class PermissionsDeniedError extends ScalewayError {
    readonly status: number;
    readonly body: JSONObject;
    readonly list: PermissionsDeniedErrorDetails[];
    constructor(status: number, body: JSONObject, list: PermissionsDeniedErrorDetails[]);
    static fromJSON(status: number, obj: Readonly<JSONObject>): ScalewayError | null;
}
