"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const scwError = require("../scw-error.cjs");
class ResourceExpiredError extends scwError.ScalewayError {
  constructor(status, body, resource, resourceId, expiredSince) {
    super(
      status,
      body,
      `resource ${resource} with ID ${resourceId} expired since ${expiredSince.toISOString()}`
    );
    this.status = status;
    this.body = body;
    this.resource = resource;
    this.resourceId = resourceId;
    this.expiredSince = expiredSince;
    this.name = "ResourceExpiredError";
  }
  static fromJSON(status, obj) {
    if (typeof obj.resource !== "string" || typeof obj.resource_id !== "string" || typeof obj.expired_since !== "string") {
      return null;
    }
    return new ResourceExpiredError(
      status,
      obj,
      obj.resource,
      obj.resource_id,
      new Date(obj.expired_since)
    );
  }
}
exports.ResourceExpiredError = ResourceExpiredError;
